Bug 121807 - usb cd writer is not found
usb cd writer is not found
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 122055 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 19:28 EDT by Craig Kelley
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Kelley 2004-04-27 19:28:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
xcdroast works fine on this machine with RedHat9, but neither it, nor
cdrecord, nor cdrdao can find it with Core 2, test 1, 2 or 3.  usbview
can see the device just fine:

USB 2.0 Storage Device
Serial Number: 03010522400000017830
Speed: 12Mb/s (full)
USB Version:  2.00
Device Class: 00(>ifc )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 64
Number of Configurations: 1
Vendor Id: 046e
Product Id: 3002
Revision Number:  1.03

Config Number: 1
	Number of Interfaces: 1
	Attributes: c0
	MaxPower Needed:   0mA

	Interface Number: 0
		Name: usb-storage
		Alternate Number: 0
		Class: 08(stor.) 
		Sub Class: 6
		Protocol: 50
		Number of Endpoints: 2

			Endpoint Address: 81
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 64
			Interval: 0ms

			Endpoint Address: 02
			Direction: out
			Attribute: 2
			Type: Bulk
			Max Packet Size: 64
			Interval: 0ms

It used to show up as device "0,0,0" with `cdrecord -scanbus` or
`cdrdaw scanbus`; now nothing shows up in cdrdao, and my read-only
drive shows up in cdrecord (1,0,0).

Version-Release number of selected component (if applicable):
xcdroast-0.98a15-2

How reproducible:
Always

Steps to Reproduce:
cdrdao scanbus

Actual Results:  nothing

Expected Results:  It should find my usb cdwriter.
Comment 1 Craig Kelley 2004-04-28 12:10:52 EDT
I forgot to mention that I can read CD-ROMs just fine from this
device.  The drive shows up in Nautilus and works flawlessly.
Comment 2 Harald Hoyer 2004-05-05 08:31:12 EDT
hmmm... what is in your /etc/fstab or /proc/mtab (while using nautilus
on a cd-rom) ??
Comment 3 Harald Hoyer 2004-05-06 06:37:54 EDT
*** Bug 122055 has been marked as a duplicate of this bug. ***
Comment 4 Craig Kelley 2004-05-06 12:25:54 EDT
This is /etc/fstab without anything in the drive:

/dev/md1                /                       ext3    defaults     
  1 1
/dev/hdb1               /music                  ext3    defaults     
  1 2
LABEL=/boot             /boot                   ext3    defaults     
  1 2
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
none                    /proc                   proc    defaults     
  0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
#/dev/md0                swap                    swap    defaults    
   0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto   
noauto,owner,kudzu 0 0
ibnfiles:/usr/local/ibn/ftpsite/music   /mnt/ibnfiles/music nfs
noauto,soft,timeo=30,retrans=3,rsize=8192,wsize=8192,ro
//nas/public            /mnt/nas                smbfs  
defaults,noauto,username=ink 0 0
/dev/cdrom1             /mnt/cdrom1             udf,iso9660
noauto,owner,kudzu,ro 0 0

I copied fstab with a silver-pressed CD in it, open in nautilus, and
with a blank CDR in the drive and fstab didn't change:

$ md5sum *
7b1300ef00d73f229d04224e28d8c21c  fstab_blank_cdr
7b1300ef00d73f229d04224e28d8c21c  fstab_cd
7b1300ef00d73f229d04224e28d8c21c  fstab_nada
Comment 5 Craig Kelley 2004-05-06 12:31:08 EDT
I used /etc/mtab (no /proc/mtab found...?)

With nothing in the drive, it looks like this:

/dev/md1 / ext3 rw 0 0
none /proc proc rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
/dev/hdb1 /music ext3 rw 0 0
/dev/hda1 /boot ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0

When a silver-pressed CD is in the drive, it looks like this:

/dev/md1 / ext3 rw 0 0
none /proc proc rw 0 0
none /dev/pts devpts rw,gid=5,mode=620 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
/dev/hdb1 /music ext3 rw 0 0
/dev/hda1 /boot ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0
/dev/scd0 /mnt/cdrom1 iso9660 ro,nosuid,nodev,user=ink 0 0

And with a blank CDR, it's the same as nothing in the drive:

$ md5sum mtab_*
60d8c90955a2dedc683e23d31213427d  mtab_blank_cdr
001a3de9984ffcf2786ece0b76094979  mtab_cd
60d8c90955a2dedc683e23d31213427d  mtab_nada
Comment 6 Harald Hoyer 2004-05-07 03:13:48 EDT
can you try to use cdrecord with:
# cdrecord dev=/dev/scd0 image.iso
Comment 7 Harald Hoyer 2004-05-07 03:14:57 EDT
oops... /proc/mounts not /proc/mtab I meant
Comment 8 Craig Kelley 2004-05-07 12:44:38 EDT
[NOTE: I've updated the kernel to 2.6.5-1.349 since reporting this bug]

# cdrecord dev=/dev/scd0 memtest86-3.1a.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.80-RH '@(#)scsi-linux-sg.c    1.80
04/03/08 Copyright 1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 2
Response Format: 1
Vendor_info    : 'CDWRITER'
Identifikation : 'IDE5224         '
Revision       : '001H'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-2 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P
RAW/R96R
Starting to write CD/DVD at speed  52.0 in real TAO mode for single
session.
Last chance to quit, starting real write    0 seconds. Operation starts.
trackno=0
Track 01: Total bytes read/written: 1837056/1837056 (897 sectors).


Looks good!
Comment 9 Craig Kelley 2004-05-07 12:48:13 EDT
Here is /proc/mounts with a silver-pressed disk loaded and open in
Nautilus:

# cat /proc/mounts
rootfs / rootfs rw 0 0
/dev/root / ext3 rw 0 0
none /selinux selinuxfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
/sys /sys sysfs rw 0 0
none /dev/pts devpts rw 0 0
usbdevfs /proc/bus/usb usbdevfs rw 0 0
/dev/hdb1 /music ext3 rw 0 0
/dev/hda1 /boot ext3 rw 0 0
none /dev/shm tmpfs rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0
/dev/cdrom1 /mnt/cdrom1 iso9660 ro,nosuid,nodev 0 0
Comment 10 Craig Kelley 2004-05-14 11:55:39 EDT
FYI Core 2 has the same detection issue as Test 3 did (can't burn from
Nautilus or xcdroast):

cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: Permission denied. Cannot open '/dev/pg0'. Cannot open SCSI
driver.
scsibus: 0 target: 0 lun: 0
scsidev: '0,0,0'
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot do mlockall(2).
cdrecord: Continuing in 5 seconds...
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Asuming -tao mode.
cdrecord: No write mode specified.
Comment 11 Alfredo Ferrari 2004-12-15 09:12:19 EST
The same bug is present in a fully up-to-date Fedora Core 2, with
kernel-2.6.9-1.6_FC2 (I don't know if the kernel version is relevant).
I met it on both a Dell Latitude D800 and a Dell Latitude X300.
The first machine can have the _NEC DVD+RW ND-5100A driver either in
the internal bay (-> it shows up as /dev/hdc) in which case it is
detected, or in the external (usb) bay or docking station (-> it shows
up as /dev/scd0). In the latter case it is never detected by xcdroast.
The same behaviour occurs on the X300 where only the external bays are
possible. Using the xcdroast configuration file generated when the
drive is in the IDE internal bay of the D800 make it work on both the
X300 and the D800 9external bays, device /dev/scd0). However there is
clearly a (big) problem. Together with the "always audio CD" bug it
makes things pretty broken.
Comment 12 John Thacker 2006-10-30 09:48:32 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 13 John Thacker 2007-01-12 10:07:21 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.